> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List customers



## OpenAPI

````yaml /api-reference/openapi.json get /v1/customers
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Production server
security: []
tags: []
paths:
  /v1/customers:
    get:
      tags:
        - Customers
      summary: List customers
      operationId: listCustomers
      parameters:
        - name: status
          in: query
          schema:
            type: string
            enum:
              - ACTIVE
              - INACTIVE
        - name: kycStatus
          in: query
          schema:
            type: string
            enum:
              - not_started
              - incomplete
              - in_review
              - approved
              - rejected
              - restricted
        - name: email
          in: query
          schema:
            type: string
          description: Partial, case-insensitive match
        - name: offset
          in: query
          schema:
            type: integer
            default: 0
        - name: limit
          in: query
          schema:
            type: integer
            default: 20
            maximum: 100
      responses:
        '200':
          description: Customers, newest first
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        name:
                          type: string
                          nullable: true
                        email:
                          type: string
                        phone:
                          type: string
                          nullable: true
                        type:
                          type: string
                          enum:
                            - individual
                            - business
                        status:
                          type: string
                          enum:
                            - ACTIVE
                            - INACTIVE
                        kycStatus:
                          type: string
                          enum:
                            - not_started
                            - incomplete
                            - in_review
                            - approved
                            - rejected
                            - restricted
                        capabilities:
                          type: object
                          description: What this customer is currently approved to do
                          properties:
                            wire:
                              type: boolean
                            sepa:
                              type: boolean
                        metadata:
                          type: object
                          nullable: true
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                  total:
                    type: integer
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.